Sales
For authentication instructions, see API overview.
Endpoints
get
List all sales stages
Returns a list of sales stages. The sales stages are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sales-stagesResponse
No response schemapost
Create sales stages
Create sales stages. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
stageNamestringdescriptionstringprobabilitynumbertypestringforecastCategorystringchartColorstringordernumber
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sales-stages \ -d 'stageName="stage1"' \ -d 'description="description1"' \ -d 'probability=0.75' \ -d 'type="Closed-Lost"' \ -d 'forecastCategory="Omitted"' \ -d 'chartColor="#FF5733"' \ -d 'order=6'Response
No response schemaget
Retrieve sales stages
Returns a single sales stage, which you can request by passing through an id in the url.
Path parameters
idstringID of the sales stage
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sales-stages/:idResponse
No response schemaput
Update sales stages
Path parameters
idstringID of the sales stage
Request body
stageNamestringdescriptionstringprobabilitynumbertypestringforecastCategorystringchartColorstringordernumber
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sales-stages/:id \ -d 'stageName="stage1"' \ -d 'description="description1"' \ -d 'probability=0.75' \ -d 'type="Closed-Lost"' \ -d 'forecastCategory="Omitted"' \ -d 'chartColor="#FF5733"' \ -d 'order=6'Response
No response schemapatch
Update sales stages soft
Update sales stages soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the sales stage
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sales-stages/:idResponse
No response schemadelete
Delete sales stages
Path parameters
idstringID of the sales stage
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sales-stages/deleted/:idResponse
No response schemaput
Update sales stages update
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/sales-stages/multiple